Package org.springframework.web.context.request.async

# Class AsyncRequestNotUsableException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.springframework.web.context.request.async.AsyncRequestNotUsableException

All Implemented Interfaces:
  `Serializable`

public class AsyncRequestNotUsableException extends IOException
Raised when the response for an asynchronous request becomes unusable as indicated by a write failure, or a Servlet container error notification, or after the async request has completed.

The exception relies on response wrapping, and on `AsyncListener` notifications, managed by `StandardServletAsyncWebRequest`.

Since:
  5.3.33
Author:
  Rossen Stoyanchev
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AsyncRequestNotUsableException(String message)`
`AsyncRequestNotUsableException(String message, Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AsyncRequestNotUsableException

public AsyncRequestNotUsableException(String message)

### AsyncRequestNotUsableException

public AsyncRequestNotUsableException(String message, Throwable cause)